Customers

List customers

GET/customersneedscustomers:read

Newest first by when they first bought, paged by cursor. externalId is only on the single-customer endpoint, to keep a list to one read per customer.

Needs the customers:read permission.

Query parameters

limitinteger, 1 to 50, default 25

Results per page, 1 to 50

Example:25

cursorstring

The nextCursor from the previous page

Example:"1761818400000_vch_Zx81kQ0pLm"

Response

data: List of Customer, with nextCursor

uidstring

Example:"u_9fK2mP7qR1"

emailstring

Example:"ada@example.com"

externalIdstringnullable

The business's own id for this customer, from account linking

Example:"MEMBER-0042"

totalVouchersinteger

Example:7

totalSpentKobointeger

Lifetime spend, in kobo

Example:355250

joinedAtstringnullable

ISO 8601 time, UTC

Example:"2026-08-03T17:45:00.000Z"

GET/customers
1curl "https://ogawifi.online/api/v1/customers?limit=25" \2  -H "Authorization: Bearer $OGAWIFI_API_KEY"
200Successful response
1{2  "data": [3    {4      "uid": "u_9fK2mP7qR1",5      "email": "ada@example.com",6      "externalId": "MEMBER-0042",7      "totalVouchers": 7,8      "totalSpentKobo": 355250,9      "joinedAt": "2026-08-03T17:45:00.000Z"10    }11  ],12  "nextCursor": "1761818400000_vch_Zx81kQ0pLm"13}